<?php

namespace Lilg\Poslilg\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KategoriTransformer extends TransformerAbstract
{
    public function transform(\Lilg\Poslilg\Models\Kategori $kategori)
    {
        return [
            'id'                => $kategori->getRouteKey(),
            'key'               => [
                'public'    => $kategori->getPublicKey(),
                'route'     => $kategori->getRouteKey(),
            ], 
            'Nama'              => $kategori->Nama,
            'url'               => [
                'public'    => trans_url('poslilg/'.$kategori->getPublicKey()),
                'user'      => guard_url('poslilg/kategori/'.$kategori->getRouteKey()),
            ], 
            'status'            => trans('app.'.$kategori->status),
            'created_at'        => format_date($kategori->created_at),
            'updated_at'        => format_date($kategori->updated_at),
        ];
    }
}